ESPER API REFERENCE (1.0.0)
Welcome to Esper’s API documentation. The Esper API allows users to accomplish operations outside of the console. Some common uses for our APIs include observing device information and console activity, installing and updating apps, uploading files, and sending files to devices. Our users have also used the API to automate app updates, perform bulk actions, and more.
Esper API endpoints use REST-based architecture and return JSON responses.
See our documentation for:
You need to create an API Key to interact with our APIs. Learn more about generating an API Key. You can also learn more about Esper and sign up for an account at esper.io/signup.
Some endpoints also require an Enterprise ID. This ID can be found in the API Management section of the Esper console.
Responses may be paginated. Use the following parameters to query the data. A full list of parameters can be found on the endpoint’s documentation page.
| Parameter | Data Type | Explanation |
|---|---|---|
| limit | integer | Limit the data returned. Default = 20. |
| offset | integer | Offset to the first item returned. Default = 0. |
| ordering | string | Order the results set by the field name. Varies by endpoint. |
| next | string | Paginate to the next response set. |
| previous | string | Paginate to the last set response. |
We use standard HTTP status codes for success or failure. A typical error response may look something like this:
{
"errors": [],
"message": "error message",
"status": 400
}errors- List of error detailsmessage- Error descriptionstatus- HTTP status code
Some common status codes and messages are:
| Number | Message | Explanation |
|---|---|---|
| 200 | OK | The request succeeded. |
| 201 | Resource creation | A resource was created. |
| 401 | Unauthorized | The API key is invalid. |
| 404 | Not found | The resource was not found. |
| 429 | Rate limit exceeded | Too many requests. Wait a moment and try again. |
| 500 | Server error | Internal error. Wait a moment and try again. If the issue persists, contact Esper. |
See how our systems are doing by checking our status page.
To ensure quality of service for all customers, we enforce rate limits for API requests. Most customers won’t hit this limit with normal use. In case you experience 429 or rate limit exceeded errors, we recommend the following:
- Try sending requests in batches.
- Begin with about 20 requests at a time and building up from there.
- Ensure your scripts are efficient and don’t contain redundant calls.
- Reach out to your account manager to discuss your options.
DevRel 197 [2026-09-03]
➕ Added
- PUT /v2/devices/{id}/tags/ - endpoint added
✏️ Updated
PUT /commands/v0/status/{id}/ - added the non-success response with the status
304GET /v0/devices/{deviceId}/operations/
⚠️ removed the optional property
results/items/arguments/sample_keyfrom the response with the200statusadded the optional property
results/items/aliasto the response with the200status
GET /v0/operations/
⚠️ removed the optional property
content/results/items/arguments/sample_keyfrom the response with the200statusadded the optional property
content/results/items/aliasto the response with the200status
POST /v0/operations/
⚠️ removed the request property
arguments/sample_key⚠️ removed the optional property
content/arguments/sample_keyfrom the response with the201statusadded the new optional request property
aliasadded the optional property
content/aliasto the response with the201status
GET /v0/operations/{operationId}/
⚠️ removed the optional property
content/arguments/sample_keyfrom the response with the200statusadded the optional property
content/aliasto the response with the200status
PUT /v0/operations/{operationId}/
⚠️ added the new required request property
reason⚠️ the request property
statebecame required⚠️ removed the enum value
FAILEDof the request propertystate⚠️ removed the enum value
SCHEDULEDof the request propertystate⚠️ removed the enum value
TIMEOUTof the request propertystate
PUT /v0/operations/{operationsId}/devices/{deviceId}/
⚠️ request property
statewas restricted to a list of enum valuesadded the new
CANCELLATION_REQUESTEDenum value to the request propertystate
GET /v2/blueprints/ - added the optional property
content/results/items/settings/windows/filesto the response with the200statusPOST /v2/blueprints/
added the new optional request property
settings/windows/filesadded the optional property
content/settings/windows/filesto the response with the201status
DELETE /v2/blueprints/{blueprint_id}/ - added the optional property
content/settings/windows/filesto the response with the204statusGET /v2/blueprints/{blueprint_id}/ - added the optional property
content/settings/windows/filesto the response with the200statusPUT /v2/blueprints/{blueprint_id}/
added the new optional request property
allOf[#/components/schemas/blueprints_BlueprintV2]/settings/windows/filesadded the optional property
content/settings/windows/filesto the response with the200status
GET /v2/blueprints/{blueprint_id}/versions/ - added the optional property
content/results/items/settings/windows/filesto the response with the200statusGET /v2/blueprints/{blueprint_id}/versions/{version_id}/ - added the optional property
content/settings/windows/filesto the response with the200statusPOST /v2/seamless
added the new optional request property
aliasadded the new optional request property
tagsadded the optional property
content/aliasto the response with the200statusadded the optional property
content/tagsto the response with the200status
POST /v2/seamless/upload
added the optional property
content/results/items/aliasto the response with the200statusadded the optional property
content/results/items/tagsto the response with the200status
DevRel 196 [2026-08-20]
➕ Added
- GET /v2/blueprint-drift/status - endpoint added
- GET /v2/blueprint-drift/summary - endpoint added
- GET /v2/blueprint-drift/{deviceId}/status - endpoint added
✏️ Updated
GET /v2/blueprints/ - added the optional property
content/results/items/settings/android/blueprint_drift_enabledto the response with the200statusPOST /v2/blueprints/
added the new optional request property
settings/android/blueprint_drift_enabledadded the optional property
content/settings/android/blueprint_drift_enabledto the response with the201status
DELETE /v2/blueprints/{blueprint_id}/ - added the optional property
content/settings/android/blueprint_drift_enabledto the response with the204statusGET /v2/blueprints/{blueprint_id}/ - added the optional property
content/settings/android/blueprint_drift_enabledto the response with the200statusPUT /v2/blueprints/{blueprint_id}/
added the new optional request property
allOf[#/components/schemas/blueprints_BlueprintV2]/settings/android/blueprint_drift_enabledadded the optional property
content/settings/android/blueprint_drift_enabledto the response with the200status
GET /v2/blueprints/{blueprint_id}/versions/ - added the optional property
content/results/items/settings/android/blueprint_drift_enabledto the response with the200statusGET /v2/blueprints/{blueprint_id}/versions/{version_id}/ - added the optional property
content/settings/android/blueprint_drift_enabledto the response with the200status
DevRel 195 [2026-08-05]
➕ Added
GET /v2/mdmserviceconfig - endpoint added
GET /v2/mdmserviceconfig/anchor-certs - endpoint added
✏️ Updated
GET /device/v0/devices/
added the optional property 'content/results/items/oneOf[#/components/schemas/device_AppleDevice]/app_mode_meta/application_args' to the response with the '200' status
added the optional property 'content/results/items/oneOf[#/components/schemas/device_AppleDevice]/app_mode_meta/application_path' to the response with the '200' status
added the optional property 'content/results/items/oneOf[#/components/schemas/device_AppleDevice]/app_mode_meta/kiosk_mode_type' to the response with the '200' status
added the optional property 'content/results/items/oneOf[#/components/schemas/device_WindowsDevice]/app_mode_meta/application_args' to the response with the '200' status
added the optional property 'content/results/items/oneOf[#/components/schemas/device_WindowsDevice]/app_mode_meta/application_path' to the response with the '200' status
added the optional property 'content/results/items/oneOf[#/components/schemas/device_WindowsDevice]/app_mode_meta/kiosk_mode_type' to the response with the '200' status
added 'subschema #1, subschema #2' to the 'content/results/items/oneOf[#/components/schemas/device_AppleDevice]/app_mode_meta' response property 'allOf' list for the response status '200'
added 'subschema #1, subschema #2' to the 'content/results/items/oneOf[#/components/schemas/device_WindowsDevice]/app_mode_meta' response property 'allOf' list for the response status '200'
DELETE /device/v0/devices/{id}/
added the optional property 'content/oneOf[#/components/schemas/device_AppleDevice]/app_mode_meta/application_args' to the response with the '200' status
added the optional property 'content/oneOf[#/components/schemas/device_AppleDevice]/app_mode_meta/application_path' to the response with the '200' status
added the optional property 'content/oneOf[#/components/schemas/device_AppleDevice]/app_mode_meta/kiosk_mode_type' to the response with the '200' status
added the optional property 'content/oneOf[#/components/schemas/device_WindowsDevice]/app_mode_meta/application_args' to the response with the '200' status
added the optional property 'content/oneOf[#/components/schemas/device_WindowsDevice]/app_mode_meta/application_path' to the response with the '200' status
added the optional property 'content/oneOf[#/components/schemas/device_WindowsDevice]/app_mode_meta/kiosk_mode_type' to the response with the '200' status
added 'subschema #1, subschema #2' to the 'content/oneOf[#/components/schemas/device_AppleDevice]/app_mode_meta' response property 'allOf' list for the response status '200'
added 'subschema #1, subschema #2' to the 'content/oneOf[#/components/schemas/device_WindowsDevice]/app_mode_meta' response property 'allOf' list for the response status '200'
GET /device/v0/devices/{id}/
added the optional property 'content/oneOf[#/components/schemas/device_AppleDevice]/app_mode_meta/application_args' to the response with the '200' status
added the optional property 'content/oneOf[#/components/schemas/device_AppleDevice]/app_mode_meta/application_path' to the response with the '200' status
added the optional property 'content/oneOf[#/components/schemas/device_AppleDevice]/app_mode_meta/kiosk_mode_type' to the response with the '200' status
added the optional property 'content/oneOf[#/components/schemas/device_WindowsDevice]/app_mode_meta/application_args' to the response with the '200' status
added the optional property 'content/oneOf[#/components/schemas/device_WindowsDevice]/app_mode_meta/application_path' to the response with the '200' status
added the optional property 'content/oneOf[#/components/schemas/device_WindowsDevice]/app_mode_meta/kiosk_mode_type' to the response with the '200' status
added 'subschema #1, subschema #2' to the 'content/oneOf[#/components/schemas/device_AppleDevice]/app_mode_meta' response property 'allOf' list for the response status '200'
added 'subschema #1, subschema #2' to the 'content/oneOf[#/components/schemas/device_WindowsDevice]/app_mode_meta' response property 'allOf' list for the response status '200'
GET /v2/blueprints/
added the optional property 'content/results/items/settings/windows/kiosk_settings/kiosk_type' to the response with the '200' status
added the optional property 'content/results/items/settings/windows/kiosk_settings/uwp_single_app_config' to the response with the '200' status
POST /v2/blueprints/
added the new optional request property 'settings/windows/kiosk_settings/kiosk_type'
added the new optional request property 'settings/windows/kiosk_settings/uwp_single_app_config'
added the optional property 'content/settings/windows/kiosk_settings/kiosk_type' to the response with the '201' status
added the optional property 'content/settings/windows/kiosk_settings/uwp_single_app_config' to the response with the '201' status
DELETE /v2/blueprints/{blueprint_id}/
added the optional property 'content/settings/windows/kiosk_settings/kiosk_type' to the response with the '204' status
added the optional property 'content/settings/windows/kiosk_settings/uwp_single_app_config' to the response with the '204' status
GET /v2/blueprints/{blueprint_id}/
added the optional property 'content/settings/windows/kiosk_settings/kiosk_type' to the response with the '200' status
added the optional property 'content/settings/windows/kiosk_settings/uwp_single_app_config' to the response with the '200' status
PUT /v2/blueprints/{blueprint_id}/
added the new optional request property '/allOf[#/components/schemas/blueprints_BlueprintV2]/settings/windows/kiosk_settings/kiosk_type'
added the new optional request property '/allOf[#/components/schemas/blueprints_BlueprintV2]/settings/windows/kiosk_settings/uwp_single_app_config'
added the optional property 'content/settings/windows/kiosk_settings/kiosk_type' to the response with the '200' status
added the optional property 'content/settings/windows/kiosk_settings/uwp_single_app_config' to the response with the '200' status
GET /v2/blueprints/{blueprint_id}/versions/
added the optional property 'content/results/items/settings/windows/kiosk_settings/kiosk_type' to the response with the '200' status
added the optional property 'content/results/items/settings/windows/kiosk_settings/uwp_single_app_config' to the response with the '200' status
GET /v2/blueprints/{blueprint_id}/versions/{version_id}/
added the optional property 'content/settings/windows/kiosk_settings/kiosk_type' to the response with the '200' status
added the optional property 'content/settings/windows/kiosk_settings/uwp_single_app_config' to the response with the '200' status
GET /v2/devices/
added the optional property 'content/oneOf[#/components/schemas/device_CursorPaginatedDeviceList]/results/items/oneOf[#/components/schemas/device_AndroidDeviceV2]/app_mode_meta/application_args' to the response with the '200' status
added the optional property 'content/oneOf[#/components/schemas/device_CursorPaginatedDeviceList]/results/items/oneOf[#/components/schemas/device_AndroidDeviceV2]/app_mode_meta/application_path' to the response with the '200' status
added the optional property 'content/oneOf[#/components/schemas/device_CursorPaginatedDeviceList]/results/items/oneOf[#/components/schemas/device_AndroidDeviceV2]/app_mode_meta/kiosk_mode_type' to the response with the '200' status
added the optional property 'content/oneOf[#/components/schemas/device_CursorPaginatedDeviceList]/results/items/oneOf[#/components/schemas/device_AppleDeviceV2]/app_mode_meta/application_args' to the response with the '200' status
added the optional property 'content/oneOf[#/components/schemas/device_CursorPaginatedDeviceList]/results/items/oneOf[#/components/schemas/device_AppleDeviceV2]/app_mode_meta/application_path' to the response with the '200' status
added the optional property 'content/oneOf[#/components/schemas/device_CursorPaginatedDeviceList]/results/items/oneOf[#/components/schemas/device_AppleDeviceV2]/app_mode_meta/kiosk_mode_type' to the response with the '200' status
added the optional property 'content/oneOf[#/components/schemas/device_CursorPaginatedDeviceList]/results/items/oneOf[#/components/schemas/device_WindowsDeviceV2]/app_mode_meta/application_args' to the response with the '200' status
added the optional property 'content/oneOf[#/components/schemas/device_CursorPaginatedDeviceList]/results/items/oneOf[#/components/schemas/device_WindowsDeviceV2]/app_mode_meta/application_path' to the response with the '200' status
added the optional property 'content/oneOf[#/components/schemas/device_CursorPaginatedDeviceList]/results/items/oneOf[#/components/schemas/device_WindowsDeviceV2]/app_mode_meta/kiosk_mode_type' to the response with the '200' status
added the optional property 'content/oneOf[#/components/schemas/device_OffsetPaginatedDeviceList]/results/items/oneOf[#/components/schemas/device_AndroidDeviceV2]/app_mode_meta/application_args' to the response with the '200' status
added the optional property 'content/oneOf[#/components/schemas/device_OffsetPaginatedDeviceList]/results/items/oneOf[#/components/schemas/device_AndroidDeviceV2]/app_mode_meta/application_path' to the response with the '200' status
added the optional property 'content/oneOf[#/components/schemas/device_OffsetPaginatedDeviceList]/results/items/oneOf[#/components/schemas/device_AndroidDeviceV2]/app_mode_meta/kiosk_mode_type' to the response with the '200' status
added the optional property 'content/oneOf[#/components/schemas/device_OffsetPaginatedDeviceList]/results/items/oneOf[#/components/schemas/device_AppleDeviceV2]/app_mode_meta/application_args' to the response with the '200' status
added the optional property 'content/oneOf[#/components/schemas/device_OffsetPaginatedDeviceList]/results/items/oneOf[#/components/schemas/device_AppleDeviceV2]/app_mode_meta/application_path' to the response with the '200' status
added the optional property 'content/oneOf[#/components/schemas/device_OffsetPaginatedDeviceList]/results/items/oneOf[#/components/schemas/device_AppleDeviceV2]/app_mode_meta/kiosk_mode_type' to the response with the '200' status
added the optional property 'content/oneOf[#/components/schemas/device_OffsetPaginatedDeviceList]/results/items/oneOf[#/components/schemas/device_WindowsDeviceV2]/app_mode_meta/application_args' to the response with the '200' status
added the optional property 'content/oneOf[#/components/schemas/device_OffsetPaginatedDeviceList]/results/items/oneOf[#/components/schemas/device_WindowsDeviceV2]/app_mode_meta/application_path' to the response with the '200' status
added the optional property 'content/oneOf[#/components/schemas/device_OffsetPaginatedDeviceList]/results/items/oneOf[#/components/schemas/device_WindowsDeviceV2]/app_mode_meta/kiosk_mode_type' to the response with the '200' status
added 'subschema #1, subschema #2' to the 'content/oneOf[#/components/schemas/device_CursorPaginatedDeviceList]/results/items/oneOf[#/components/schemas/device_AndroidDeviceV2]/app_mode_meta' response property 'allOf' list for the response status '200'
added 'subschema #1, subschema #2' to the 'content/oneOf[#/components/schemas/device_CursorPaginatedDeviceList]/results/items/oneOf[#/components/schemas/device_AppleDeviceV2]/app_mode_meta' response property 'allOf' list for the response status '200'
added 'subschema #1, subschema #2' to the 'content/oneOf[#/components/schemas/device_CursorPaginatedDeviceList]/results/items/oneOf[#/components/schemas/device_WindowsDeviceV2]/app_mode_meta' response property 'allOf' list for the response status '200'
added 'subschema #1, subschema #2' to the 'content/oneOf[#/components/schemas/device_OffsetPaginatedDeviceList]/results/items/oneOf[#/components/schemas/device_AndroidDeviceV2]/app_mode_meta' response property 'allOf' list for the response status '200'
added 'subschema #1, subschema #2' to the 'content/oneOf[#/components/schemas/device_OffsetPaginatedDeviceList]/results/items/oneOf[#/components/schemas/device_AppleDeviceV2]/app_mode_meta' response property 'allOf' list for the response status '200'
added 'subschema #1, subschema #2' to the 'content/oneOf[#/components/schemas/device_OffsetPaginatedDeviceList]/results/items/oneOf[#/components/schemas/device_WindowsDeviceV2]/app_mode_meta' response property 'allOf' list for the response status '200'
GET /v2/devices/{id}
added the optional property 'content/oneOf[#/components/schemas/device_AndroidDeviceV2]/app_mode_meta/application_args' to the response with the '200' status
added the optional property 'content/oneOf[#/components/schemas/device_AndroidDeviceV2]/app_mode_meta/application_path' to the response with the '200' status
added the optional property 'content/oneOf[#/components/schemas/device_AndroidDeviceV2]/app_mode_meta/kiosk_mode_type' to the response with the '200' status
added the optional property 'content/oneOf[#/components/schemas/device_AppleDeviceV2]/app_mode_meta/application_args' to the response with the '200' status
added the optional property 'content/oneOf[#/components/schemas/device_AppleDeviceV2]/app_mode_meta/application_path' to the response with the '200' status
added the optional property 'content/oneOf[#/components/schemas/device_AppleDeviceV2]/app_mode_meta/kiosk_mode_type' to the response with the '200' status
added the optional property 'content/oneOf[#/components/schemas/device_WindowsDeviceV2]/app_mode_meta/application_args' to the response with the '200' status
added the optional property 'content/oneOf[#/components/schemas/device_WindowsDeviceV2]/app_mode_meta/application_path' to the response with the '200' status
added the optional property 'content/oneOf[#/components/schemas/device_WindowsDeviceV2]/app_mode_meta/kiosk_mode_type' to the response with the '200' status
added 'subschema #1, subschema #2' to the 'content/oneOf[#/components/schemas/device_AndroidDeviceV2]/app_mode_meta' response property 'allOf' list for the response status '200'
added 'subschema #1, subschema #2' to the 'content/oneOf[#/components/schemas/device_AppleDeviceV2]/app_mode_meta' response property 'allOf' list for the response status '200'
added 'subschema #1, subschema #2' to the 'content/oneOf[#/components/schemas/device_WindowsDeviceV2]/app_mode_meta' response property 'allOf' list for the response status '200'
DevRel 194 [2026-07-21]
➕ Added
POST /v2/tenant-apps/{appId}/versions/{versionId}/artifacts - endpoint added
DELETE /v2/tenant-apps/{appId}/versions/{versionId}/artifacts/{artifactId} - endpoint added
✏️ Updated
GET /device/v0/devices/
⚠️ added the new 'TENANT_WINDOWS_UWP' enum value to the 'content/results/items/oneOf[#/components/schemas/device_AppleDevice]/app_mode_meta/app_type' response property for the response status '200'
⚠️ added the new 'TENANT_WINDOWS_UWP' enum value to the 'content/results/items/oneOf[#/components/schemas/device_WindowsDevice]/app_mode_meta/app_type' response property for the response status '200'
DELETE /device/v0/devices/{id}/
⚠️ added the new 'TENANT_WINDOWS_UWP' enum value to the 'content/oneOf[#/components/schemas/device_AppleDevice]/app_mode_meta/app_type' response property for the response status '200'
⚠️ added the new 'TENANT_WINDOWS_UWP' enum value to the 'content/oneOf[#/components/schemas/device_WindowsDevice]/app_mode_meta/app_type' response property for the response status '200'
GET /device/v0/devices/{id}/
⚠️ added the new 'TENANT_WINDOWS_UWP' enum value to the 'content/oneOf[#/components/schemas/device_AppleDevice]/app_mode_meta/app_type' response property for the response status '200'
⚠️ added the new 'TENANT_WINDOWS_UWP' enum value to the 'content/oneOf[#/components/schemas/device_WindowsDevice]/app_mode_meta/app_type' response property for the response status '200'
GET /v2/blueprints/
⚠️ added the new 'AUTO_INSTALL_AND_NOTIFY_RESTART' enum value to the 'content/results/items/settings/windows/auto_update_settings/auto_update_type' response property for the response status '200'
⚠️ added the new 'AUTO_INSTALL_AND_RESTART_FORCED' enum value to the 'content/results/items/settings/windows/auto_update_settings/auto_update_type' response property for the response status '200'
⚠️ added the new 'NOTIFY_DOWNLOAD' enum value to the 'content/results/items/settings/windows/auto_update_settings/auto_update_type' response property for the response status '200'
⚠️ added the new 'SCHEDULED_INSTALL_AND_RESTART' enum value to the 'content/results/items/settings/windows/auto_update_settings/auto_update_type' response property for the response status '200'
⚠️ added the new 'TENANT_WINDOWS_UWP' enum value to the 'content/results/items/settings/windows/apps/items/app_type' response property for the response status '200'
added the optional property 'content/results/items/settings/windows/custom_policies' to the response with the '200' status
added the optional property 'content/results/items/settings/windows/scheduled_install_settings' to the response with the '200' status
POST /v2/blueprints/
⚠️ added the new 'AUTO_INSTALL_AND_NOTIFY_RESTART' enum value to the 'content/settings/windows/auto_update_settings/auto_update_type' response property for the response status '201'
⚠️ added the new 'AUTO_INSTALL_AND_RESTART_FORCED' enum value to the 'content/settings/windows/auto_update_settings/auto_update_type' response property for the response status '201'
⚠️ added the new 'NOTIFY_DOWNLOAD' enum value to the 'content/settings/windows/auto_update_settings/auto_update_type' response property for the response status '201'
⚠️ added the new 'SCHEDULED_INSTALL_AND_RESTART' enum value to the 'content/settings/windows/auto_update_settings/auto_update_type' response property for the response status '201'
⚠️ added the new 'TENANT_WINDOWS_UWP' enum value to the 'content/settings/windows/apps/items/app_type' response property for the response status '201'
added the new optional request property 'settings/windows/custom_policies'
added the new optional request property 'settings/windows/scheduled_install_settings'
added the new 'AUTO_INSTALL_AND_NOTIFY_RESTART' enum value to the request property 'settings/windows/auto_update_settings/auto_update_type'
added the new 'AUTO_INSTALL_AND_RESTART_FORCED' enum value to the request property 'settings/windows/auto_update_settings/auto_update_type'
added the new 'NOTIFY_DOWNLOAD' enum value to the request property 'settings/windows/auto_update_settings/auto_update_type'
added the new 'SCHEDULED_INSTALL_AND_RESTART' enum value to the request property 'settings/windows/auto_update_settings/auto_update_type'
added the new 'TENANT_WINDOWS_UWP' enum value to the request property 'settings/windows/apps/items/app_type'
added the optional property 'content/settings/windows/custom_policies' to the response with the '201' status
added the optional property 'content/settings/windows/scheduled_install_settings' to the response with the '201' status
DELETE /v2/blueprints/{blueprint_id}/
⚠️ added the new 'AUTO_INSTALL_AND_NOTIFY_RESTART' enum value to the 'content/settings/windows/auto_update_settings/auto_update_type' response property for the response status '204'
⚠️ added the new 'AUTO_INSTALL_AND_RESTART_FORCED' enum value to the 'content/settings/windows/auto_update_settings/auto_update_type' response property for the response status '204'
⚠️ added the new 'NOTIFY_DOWNLOAD' enum value to the 'content/settings/windows/auto_update_settings/auto_update_type' response property for the response status '204'
⚠️ added the new 'SCHEDULED_INSTALL_AND_RESTART' enum value to the 'content/settings/windows/auto_update_settings/auto_update_type' response property for the response status '204'
⚠️ added the new 'TENANT_WINDOWS_UWP' enum value to the 'content/settings/windows/apps/items/app_type' response property for the response status '204'
added the optional property 'content/settings/windows/custom_policies' to the response with the '204' status
added the optional property 'content/settings/windows/scheduled_install_settings' to the response with the '204' status
GET /v2/blueprints/{blueprint_id}/
⚠️ added the new 'AUTO_INSTALL_AND_NOTIFY_RESTART' enum value to the 'content/settings/windows/auto_update_settings/auto_update_type' response property for the response status '200'
⚠️ added the new 'AUTO_INSTALL_AND_RESTART_FORCED' enum value to the 'content/settings/windows/auto_update_settings/auto_update_type' response property for the response status '200'
⚠️ added the new 'NOTIFY_DOWNLOAD' enum value to the 'content/settings/windows/auto_update_settings/auto_update_type' response property for the response status '200'
⚠️ added the new 'SCHEDULED_INSTALL_AND_RESTART' enum value to the 'content/settings/windows/auto_update_settings/auto_update_type' response property for the response status '200'
⚠️ added the new 'TENANT_WINDOWS_UWP' enum value to the 'content/settings/windows/apps/items/app_type' response property for the response status '200'
added the optional property 'content/settings/windows/custom_policies' to the response with the '200' status
added the optional property 'content/settings/windows/scheduled_install_settings' to the response with the '200' status
PUT /v2/blueprints/{blueprint_id}/
⚠️ added the new 'AUTO_INSTALL_AND_NOTIFY_RESTART' enum value to the 'content/settings/windows/auto_update_settings/auto_update_type' response property for the response status '200'
⚠️ added the new 'AUTO_INSTALL_AND_RESTART_FORCED' enum value to the 'content/settings/windows/auto_update_settings/auto_update_type' response property for the response status '200'
⚠️ added the new 'NOTIFY_DOWNLOAD' enum value to the 'content/settings/windows/auto_update_settings/auto_update_type' response property for the response status '200'
⚠️ added the new 'SCHEDULED_INSTALL_AND_RESTART' enum value to the 'content/settings/windows/auto_update_settings/auto_update_type' response property for the response status '200'
⚠️ added the new 'TENANT_WINDOWS_UWP' enum value to the 'content/settings/windows/apps/items/app_type' response property for the response status '200'
added the new optional request property '/allOf[#/components/schemas/blueprints_BlueprintV2]/settings/windows/custom_policies'
added the new optional request property '/allOf[#/components/schemas/blueprints_BlueprintV2]/settings/windows/scheduled_install_settings'
added the new 'AUTO_INSTALL_AND_NOTIFY_RESTART' enum value to the request property '/allOf[#/components/schemas/blueprints_BlueprintV2]/settings/windows/auto_update_settings/auto_update_type'
added the new 'AUTO_INSTALL_AND_RESTART_FORCED' enum value to the request property '/allOf[#/components/schemas/blueprints_BlueprintV2]/settings/windows/auto_update_settings/auto_update_type'
added the new 'NOTIFY_DOWNLOAD' enum value to the request property '/allOf[#/components/schemas/blueprints_BlueprintV2]/settings/windows/auto_update_settings/auto_update_type'
added the new 'SCHEDULED_INSTALL_AND_RESTART' enum value to the request property '/allOf[#/components/schemas/blueprints_BlueprintV2]/settings/windows/auto_update_settings/auto_update_type'
added the new 'TENANT_WINDOWS_UWP' enum value to the request property '/allOf[#/components/schemas/blueprints_BlueprintV2]/settings/windows/apps/items/app_type'
added the optional property 'content/settings/windows/custom_policies' to the response with the '200' status
added the optional property 'content/settings/windows/scheduled_install_settings' to the response with the '200' status
GET /v2/blueprints/{blueprint_id}/versions/
⚠️ added the new 'AUTO_INSTALL_AND_NOTIFY_RESTART' enum value to the 'content/results/items/settings/windows/auto_update_settings/auto_update_type' response property for the response status '200'
⚠️ added the new 'AUTO_INSTALL_AND_RESTART_FORCED' enum value to the 'content/results/items/settings/windows/auto_update_settings/auto_update_type' response property for the response status '200'
⚠️ added the new 'NOTIFY_DOWNLOAD' enum value to the 'content/results/items/settings/windows/auto_update_settings/auto_update_type' response property for the response status '200'
⚠️ added the new 'SCHEDULED_INSTALL_AND_RESTART' enum value to the 'content/results/items/settings/windows/auto_update_settings/auto_update_type' response property for the response status '200'
⚠️ added the new 'TENANT_WINDOWS_UWP' enum value to the 'content/results/items/settings/windows/apps/items/app_type' response property for the response status '200'
added the optional property 'content/results/items/settings/windows/custom_policies' to the response with the '200' status
added the optional property 'content/results/items/settings/windows/scheduled_install_settings' to the response with the '200' status
GET /v2/blueprints/{blueprint_id}/versions/{version_id}/
⚠️ added the new 'AUTO_INSTALL_AND_NOTIFY_RESTART' enum value to the 'content/settings/windows/auto_update_settings/auto_update_type' response property for the response status '200'
⚠️ added the new 'AUTO_INSTALL_AND_RESTART_FORCED' enum value to the 'content/settings/windows/auto_update_settings/auto_update_type' response property for the response status '200'
⚠️ added the new 'NOTIFY_DOWNLOAD' enum value to the 'content/settings/windows/auto_update_settings/auto_update_type' response property for the response status '200'
⚠️ added the new 'SCHEDULED_INSTALL_AND_RESTART' enum value to the 'content/settings/windows/auto_update_settings/auto_update_type' response property for the response status '200'
⚠️ added the new 'TENANT_WINDOWS_UWP' enum value to the 'content/settings/windows/apps/items/app_type' response property for the response status '200'
added the optional property 'content/settings/windows/custom_policies' to the response with the '200' status
added the optional property 'content/settings/windows/scheduled_install_settings' to the response with the '200' status
GET /v2/devices/
⚠️ added the new 'TENANT_WINDOWS_UWP' enum value to the 'content/oneOf[#/components/schemas/device_CursorPaginatedDeviceList]/results/items/oneOf[#/components/schemas/device_AndroidDeviceV2]/app_mode_meta/app_type' response property for the response status '200'
⚠️ added the new 'TENANT_WINDOWS_UWP' enum value to the 'content/oneOf[#/components/schemas/device_CursorPaginatedDeviceList]/results/items/oneOf[#/components/schemas/device_AppleDeviceV2]/app_mode_meta/app_type' response property for the response status '200'
⚠️ added the new 'TENANT_WINDOWS_UWP' enum value to the 'content/oneOf[#/components/schemas/device_CursorPaginatedDeviceList]/results/items/oneOf[#/components/schemas/device_WindowsDeviceV2]/app_mode_meta/app_type' response property for the response status '200'
⚠️ added the new 'TENANT_WINDOWS_UWP' enum value to the 'content/oneOf[#/components/schemas/device_OffsetPaginatedDeviceList]/results/items/oneOf[#/components/schemas/device_AndroidDeviceV2]/app_mode_meta/app_type' response property for the response status '200'
⚠️ added the new 'TENANT_WINDOWS_UWP' enum value to the 'content/oneOf[#/components/schemas/device_OffsetPaginatedDeviceList]/results/items/oneOf[#/components/schemas/device_AppleDeviceV2]/app_mode_meta/app_type' response property for the response status '200'
⚠️ added the new 'TENANT_WINDOWS_UWP' enum value to the 'content/oneOf[#/components/schemas/device_OffsetPaginatedDeviceList]/results/items/oneOf[#/components/schemas/device_WindowsDeviceV2]/app_mode_meta/app_type' response property for the response status '200'
added the new optional 'query' request parameter 'fields'
GET /v2/devices/{deviceId}/device-apps/
⚠️ added the new 'TENANT_WINDOWS_UWP' enum value to the 'results/items/app_type' response property for the response status '200'
added the new enum value 'TENANT_WINDOWS_UWP' to the 'query' request parameter 'app type'
GET /v2/devices/{id}
⚠️ added the new 'TENANT_WINDOWS_UWP' enum value to the 'content/oneOf[#/components/schemas/device_AndroidDeviceV2]/app_mode_meta/app_type' response property for the response status '200'
⚠️ added the new 'TENANT_WINDOWS_UWP' enum value to the 'content/oneOf[#/components/schemas/device_AppleDeviceV2]/app_mode_meta/app_type' response property for the response status '200'
⚠️ added the new 'TENANT_WINDOWS_UWP' enum value to the 'content/oneOf[#/components/schemas/device_WindowsDeviceV2]/app_mode_meta/app_type' response property for the response status '200'
GET /v2/tenant-apps/{appId}/versions - ⚠️ added the new 'TENANT_WINDOWS_UWP' enum value to the 'content/results/items/oneOf[#/components/schemas/apps_management_TenantAppVersionResponse]/app_type' response property for the response status '200'
DELETE /v2/tenant-apps/{appId}/versions/{versionId} - ⚠️ added the new 'TENANT_WINDOWS_UWP' enum value to the 'content/app_type' response property for the response status '200'
GET /v2/tenant-apps/{appId}/versions/{versionId}
⚠️ added the new 'TENANT_WINDOWS_UWP' enum value to the 'content/allOf[#/components/schemas/apps_management_TenantAppVersionResponse]/app_type' response property for the response status '200'
added the optional property 'content/allOf[subschema #2]/architecture' to the response with the '200' status
added the optional property 'content/allOf[subschema #2]/artifacts' to the response with the '200' status
added the optional property 'content/allOf[subschema #2]/aumids' to the response with the '200' status
added the optional property 'content/allOf[subschema #2]/entry_point_type' to the response with the '200' status
added the optional property 'content/allOf[subschema #2]/identity_name' to the response with the '200' status
added the optional property 'content/allOf[subschema #2]/package_family_name' to the response with the '200' status
added the optional property 'content/allOf[subschema #2]/package_format' to the response with the '200' status
added the optional property 'content/allOf[subschema #2]/publisher' to the response with the '200' status
PUT /v2/tenant-apps/{appId}/versions/{versionId} - ⚠️ added the new 'TENANT_WINDOWS_UWP' enum value to the 'content/app_type' response property for the response status '200'
DevRel 193 [2026-07-09]
➕ Added
- GET /v2/oem-config-schema - endpoint added
✏️ Updated
GET /commands/v0/commands/
⚠️ added the new 'SET_OS_UPDATE_POLICY' enum value to the 'content/results/items/command' response property for the response status '200'
added the optional property 'content/results/items/command_args/auto_update_type' to the response with the '200' status
POST /commands/v0/commands/
⚠️ added the new 'SET_OS_UPDATE_POLICY' enum value to the 'content/command' response property for the response status '201'
added the new optional request property 'command_args/auto_update_type'
added the new 'SET_OS_UPDATE_POLICY' enum value to the request property 'command'
added the optional property 'content/command_args/auto_update_type' to the response with the '201' status
GET /commands/v0/commands/{id}/
⚠️ added the new 'SET_OS_UPDATE_POLICY' enum value to the 'content/command' response property for the response status '200'
added the optional property 'content/command_args/auto_update_type' to the response with the '200' status
GET /device/v0/devices/
⚠️ added the new 'GOOGLE_ANDROID' enum value to the 'content/results/items/oneOf[#/components/schemas/device_AppleDevice]/app_mode_meta/app_type' response property for the response status '200'
⚠️ added the new 'GOOGLE_ANDROID' enum value to the 'content/results/items/oneOf[#/components/schemas/device_WindowsDevice]/app_mode_meta/app_type' response property for the response status '200'
⚠️ added the new 'PRELOADED_ANDROID' enum value to the 'content/results/items/oneOf[#/components/schemas/device_AppleDevice]/app_mode_meta/app_type' response property for the response status '200'
⚠️ added the new 'PRELOADED_ANDROID' enum value to the 'content/results/items/oneOf[#/components/schemas/device_WindowsDevice]/app_mode_meta/app_type' response property for the response status '200'
⚠️ added the new 'TENANT_ANDROID' enum value to the 'content/results/items/oneOf[#/components/schemas/device_AppleDevice]/app_mode_meta/app_type' response property for the response status '200'
⚠️ added the new 'TENANT_ANDROID' enum value to the 'content/results/items/oneOf[#/components/schemas/device_WindowsDevice]/app_mode_meta/app_type' response property for the response status '200'
DELETE /device/v0/devices/{id}/
⚠️ added the new 'GOOGLE_ANDROID' enum value to the 'content/oneOf[#/components/schemas/device_AppleDevice]/app_mode_meta/app_type' response property for the response status '200'
⚠️ added the new 'GOOGLE_ANDROID' enum value to the 'content/oneOf[#/components/schemas/device_WindowsDevice]/app_mode_meta/app_type' response property for the response status '200'
⚠️ added the new 'PRELOADED_ANDROID' enum value to the 'content/oneOf[#/components/schemas/device_AppleDevice]/app_mode_meta/app_type' response property for the response status '200'
⚠️ added the new 'PRELOADED_ANDROID' enum value to the 'content/oneOf[#/components/schemas/device_WindowsDevice]/app_mode_meta/app_type' response property for the response status '200'
⚠️ added the new 'TENANT_ANDROID' enum value to the 'content/oneOf[#/components/schemas/device_AppleDevice]/app_mode_meta/app_type' response property for the response status '200'
⚠️ added the new 'TENANT_ANDROID' enum value to the 'content/oneOf[#/components/schemas/device_WindowsDevice]/app_mode_meta/app_type' response property for the response status '200'
GET /device/v0/devices/{id}/
⚠️ added the new 'GOOGLE_ANDROID' enum value to the 'content/oneOf[#/components/schemas/device_AppleDevice]/app_mode_meta/app_type' response property for the response status '200'
⚠️ added the new 'GOOGLE_ANDROID' enum value to the 'content/oneOf[#/components/schemas/device_WindowsDevice]/app_mode_meta/app_type' response property for the response status '200'
⚠️ added the new 'PRELOADED_ANDROID' enum value to the 'content/oneOf[#/components/schemas/device_AppleDevice]/app_mode_meta/app_type' response property for the response status '200'
⚠️ added the new 'PRELOADED_ANDROID' enum value to the 'content/oneOf[#/components/schemas/device_WindowsDevice]/app_mode_meta/app_type' response property for the response status '200'
⚠️ added the new 'TENANT_ANDROID' enum value to the 'content/oneOf[#/components/schemas/device_AppleDevice]/app_mode_meta/app_type' response property for the response status '200'
⚠️ added the new 'TENANT_ANDROID' enum value to the 'content/oneOf[#/components/schemas/device_WindowsDevice]/app_mode_meta/app_type' response property for the response status '200'
POST /tenant/v0/depprofiles/
⚠️ removed the enum value 'WebContentFiltering' of the request property 'show_setup_items/items/'
added the new 'AccessibilityAppearance' enum value to the request property 'show_setup_items/items/'
added the new 'DisplayTone' enum value to the request property 'show_setup_items/items/'
added the new 'HomeButtonSensitivity' enum value to the request property 'show_setup_items/items/'
added the new 'LiquidGlass' enum value to the request property 'show_setup_items/items/'
added the new 'OnBoarding' enum value to the request property 'show_setup_items/items/'
GET /v2/blueprints/ - added the optional property 'content/results/items/settings/android/advanced_configurations' to the response with the '200' status
POST /v2/blueprints/
added the new optional request property 'settings/android/advanced_configurations'
added the optional property 'content/settings/android/advanced_configurations' to the response with the '201' status
DELETE /v2/blueprints/{blueprint_id}/ - added the optional property 'content/settings/android/advanced_configurations' to the response with the '204' status
GET /v2/blueprints/{blueprint_id}/ - added the optional property 'content/settings/android/advanced_configurations' to the response with the '200' status
PUT /v2/blueprints/{blueprint_id}/
added the new optional request property '/allOf[#/components/schemas/blueprints_BlueprintV2]/settings/android/advanced_configurations'
added the optional property 'content/settings/android/advanced_configurations' to the response with the '200' status
GET /v2/blueprints/{blueprint_id}/versions/ - added the optional property 'content/results/items/settings/android/advanced_configurations' to the response with the '200' status
GET /v2/blueprints/{blueprint_id}/versions/{version_id}/ - added the optional property 'content/settings/android/advanced_configurations' to the response with the '200' status
GET /v2/devices/
⚠️ added the new 'GOOGLE_ANDROID' enum value to the 'content/oneOf[#/components/schemas/device_CursorPaginatedDeviceList]/results/items/oneOf[#/components/schemas/device_AppleDeviceV2]/app_mode_meta/app_type' response property for the response status '200'
⚠️ added the new 'GOOGLE_ANDROID' enum value to the 'content/oneOf[#/components/schemas/device_CursorPaginatedDeviceList]/results/items/oneOf[#/components/schemas/device_WindowsDeviceV2]/app_mode_meta/app_type' response property for the response status '200'
⚠️ added the new 'GOOGLE_ANDROID' enum value to the 'content/oneOf[#/components/schemas/device_OffsetPaginatedDeviceList]/results/items/oneOf[#/components/schemas/device_AppleDeviceV2]/app_mode_meta/app_type' response property for the response status '200'
⚠️ added the new 'GOOGLE_ANDROID' enum value to the 'content/oneOf[#/components/schemas/device_OffsetPaginatedDeviceList]/results/items/oneOf[#/components/schemas/device_WindowsDeviceV2]/app_mode_meta/app_type' response property for the response status '200'
⚠️ added the new 'PRELOADED_ANDROID' enum value to the 'content/oneOf[#/components/schemas/device_CursorPaginatedDeviceList]/results/items/oneOf[#/components/schemas/device_AppleDeviceV2]/app_mode_meta/app_type' response property for the response status '200'
⚠️ added the new 'PRELOADED_ANDROID' enum value to the 'content/oneOf[#/components/schemas/device_CursorPaginatedDeviceList]/results/items/oneOf[#/components/schemas/device_WindowsDeviceV2]/app_mode_meta/app_type' response property for the response status '200'
⚠️ added the new 'PRELOADED_ANDROID' enum value to the 'content/oneOf[#/components/schemas/device_OffsetPaginatedDeviceList]/results/items/oneOf[#/components/schemas/device_AppleDeviceV2]/app_mode_meta/app_type' response property for the response status '200'
⚠️ added the new 'PRELOADED_ANDROID' enum value to the 'content/oneOf[#/components/schemas/device_OffsetPaginatedDeviceList]/results/items/oneOf[#/components/schemas/device_WindowsDeviceV2]/app_mode_meta/app_type' response property for the response status '200'
⚠️ added the new 'TENANT_ANDROID' enum value to the 'content/oneOf[#/components/schemas/device_CursorPaginatedDeviceList]/results/items/oneOf[#/components/schemas/device_AppleDeviceV2]/app_mode_meta/app_type' response property for the response status '200'
⚠️ added the new 'TENANT_ANDROID' enum value to the 'content/oneOf[#/components/schemas/device_CursorPaginatedDeviceList]/results/items/oneOf[#/components/schemas/device_WindowsDeviceV2]/app_mode_meta/app_type' response property for the response status '200'
⚠️ added the new 'TENANT_ANDROID' enum value to the 'content/oneOf[#/components/schemas/device_OffsetPaginatedDeviceList]/results/items/oneOf[#/components/schemas/device_AppleDeviceV2]/app_mode_meta/app_type' response property for the response status '200'
⚠️ added the new 'TENANT_ANDROID' enum value to the 'content/oneOf[#/components/schemas/device_OffsetPaginatedDeviceList]/results/items/oneOf[#/components/schemas/device_WindowsDeviceV2]/app_mode_meta/app_type' response property for the response status '200'
added the optional property 'content/oneOf[#/components/schemas/device_CursorPaginatedDeviceList]/results/items/oneOf[#/components/schemas/device_AndroidDeviceV2]/app_mode_meta' to the response with the '200' status
added the optional property 'content/oneOf[#/components/schemas/device_OffsetPaginatedDeviceList]/results/items/oneOf[#/components/schemas/device_AndroidDeviceV2]/app_mode_meta' to the response with the '200' status
GET /v2/devices/{id}
⚠️ added the new 'GOOGLE_ANDROID' enum value to the 'content/oneOf[#/components/schemas/device_AppleDeviceV2]/app_mode_meta/app_type' response property for the response status '200'
⚠️ added the new 'GOOGLE_ANDROID' enum value to the 'content/oneOf[#/components/schemas/device_WindowsDeviceV2]/app_mode_meta/app_type' response property for the response status '200'
⚠️ added the new 'PRELOADED_ANDROID' enum value to the 'content/oneOf[#/components/schemas/device_AppleDeviceV2]/app_mode_meta/app_type' response property for the response status '200'
⚠️ added the new 'PRELOADED_ANDROID' enum value to the 'content/oneOf[#/components/schemas/device_WindowsDeviceV2]/app_mode_meta/app_type' response property for the response status '200'
⚠️ added the new 'TENANT_ANDROID' enum value to the 'content/oneOf[#/components/schemas/device_AppleDeviceV2]/app_mode_meta/app_type' response property for the response status '200'
⚠️ added the new 'TENANT_ANDROID' enum value to the 'content/oneOf[#/components/schemas/device_WindowsDeviceV2]/app_mode_meta/app_type' response property for the response status '200'
added the optional property 'content/oneOf[#/components/schemas/device_AndroidDeviceV2]/app_mode_meta' to the response with the '200' status
POST /v2/itunesapps/{appleAppId}/refresh-version - ⚠️ for the 'path' request parameter 'appleAppId', the type/format was changed from 'string'/'' to 'string'/'uuid'
DevRel 192 [2026-06-22]
✏️ Updated
GET /commands/v0/commands/ - added the optional property 'content/results/items/command_args/disable_screen_timeout' to the response with the '200' status
POST /commands/v0/commands/
added the new optional request property 'command_args/disable_screen_timeout'
added the optional property 'content/command_args/disable_screen_timeout' to the response with the '201' status
GET /commands/v0/commands/{id}/ - added the optional property 'content/command_args/disable_screen_timeout' to the response with the '200' status
GET /device/v0/devices/
added the optional property 'content/results/items/oneOf[#/components/schemas/device_AppleDevice]/app_mode_meta/disable_screen_timeout' to the response with the '200' status
added the optional property 'content/results/items/oneOf[#/components/schemas/device_WindowsDevice]/app_mode_meta/disable_screen_timeout' to the response with the '200' status
DELETE /device/v0/devices/{id}/
added the optional property 'content/oneOf[#/components/schemas/device_AppleDevice]/app_mode_meta/disable_screen_timeout' to the response with the '200' status
added the optional property 'content/oneOf[#/components/schemas/device_WindowsDevice]/app_mode_meta/disable_screen_timeout' to the response with the '200' status
GET /device/v0/devices/{id}/
added the optional property 'content/oneOf[#/components/schemas/device_AppleDevice]/app_mode_meta/disable_screen_timeout' to the response with the '200' status
added the optional property 'content/oneOf[#/components/schemas/device_WindowsDevice]/app_mode_meta/disable_screen_timeout' to the response with the '200' status
GET /v2/blueprints/ - added the optional property 'content/results/items/settings/ios/kiosk_app/disable_screen_timeout' to the response with the '200' status
POST /v2/blueprints/
added the new optional request property 'settings/ios/kiosk_app/disable_screen_timeout'
added the optional property 'content/settings/ios/kiosk_app/disable_screen_timeout' to the response with the '201' status
DELETE /v2/blueprints/{blueprint_id}/ - added the optional property 'content/settings/ios/kiosk_app/disable_screen_timeout' to the response with the '204' status
GET /v2/blueprints/{blueprint_id}/ - added the optional property 'content/settings/ios/kiosk_app/disable_screen_timeout' to the response with the '200' status
PUT /v2/blueprints/{blueprint_id}/
added the new optional request property '/allOf[#/components/schemas/blueprints_BlueprintV2]/settings/ios/kiosk_app/disable_screen_timeout'
added the optional property 'content/settings/ios/kiosk_app/disable_screen_timeout' to the response with the '200' status
GET /v2/blueprints/{blueprint_id}/versions/ - added the optional property 'content/results/items/settings/ios/kiosk_app/disable_screen_timeout' to the response with the '200' status
GET /v2/blueprints/{blueprint_id}/versions/{version_id}/ - added the optional property 'content/settings/ios/kiosk_app/disable_screen_timeout' to the response with the '200' status
GET /v2/devices/
added the optional property 'content/oneOf[#/components/schemas/device_CursorPaginatedDeviceList]/results/items/oneOf[#/components/schemas/device_AppleDeviceV2]/app_mode_meta/disable_screen_timeout' to the response with the '200' status
added the optional property 'content/oneOf[#/components/schemas/device_CursorPaginatedDeviceList]/results/items/oneOf[#/components/schemas/device_WindowsDeviceV2]/app_mode_meta/disable_screen_timeout' to the response with the '200' status
added the optional property 'content/oneOf[#/components/schemas/device_OffsetPaginatedDeviceList]/results/items/oneOf[#/components/schemas/device_AppleDeviceV2]/app_mode_meta/disable_screen_timeout' to the response with the '200' status
added the optional property 'content/oneOf[#/components/schemas/device_OffsetPaginatedDeviceList]/results/items/oneOf[#/components/schemas/device_WindowsDeviceV2]/app_mode_meta/disable_screen_timeout' to the response with the '200' status
GET /v2/devices/{id}
added the optional property 'content/oneOf[#/components/schemas/device_AppleDeviceV2]/app_mode_meta/disable_screen_timeout' to the response with the '200' status
added the optional property 'content/oneOf[#/components/schemas/device_WindowsDeviceV2]/app_mode_meta/disable_screen_timeout' to the response with the '200' status
DevRel 191 [2026-06-12]
➕ Added
- POST /v2/itunesapps/{appleAppId}/refresh-version - endpoint added
✏️ Updated
GET /commands/v0/commands/
⚠️ added the new 'ENFORCE_OS_UPDATE_SETTINGS' enum value to the 'content/results/items/command' response property for the response status '200'
⚠️ added the new 'ENFORCE_SOFTWARE_UPDATE' enum value to the 'content/results/items/command' response property for the response status '200'
added the optional property 'content/results/items/command_args/allow_standard_user_os_updates' to the response with the '200' status
added the optional property 'content/results/items/command_args/automatic_actions' to the response with the '200' status
added the optional property 'content/results/items/command_args/deferrals' to the response with the '200' status
added the optional property 'content/results/items/command_args/disable_device_rotation' to the response with the '200' status
added the optional property 'content/results/items/command_args/notifications' to the response with the '200' status
added the optional property 'content/results/items/command_args/rapid_security_response' to the response with the '200' status
added the optional property 'content/results/items/command_args/recommended_cadence' to the response with the '200' status
added the optional property 'content/results/items/command_args/target_local_date_time' to the response with the '200' status
added the optional property 'content/results/items/command_args/target_os_version' to the response with the '200' status
POST /commands/v0/commands/
⚠️ added the new 'ENFORCE_OS_UPDATE_SETTINGS' enum value to the 'content/command' response property for the response status '201'
⚠️ added the new 'ENFORCE_SOFTWARE_UPDATE' enum value to the 'content/command' response property for the response status '201'
added the new optional request property 'command_args/allow_standard_user_os_updates'
added the new optional request property 'command_args/automatic_actions'
added the new optional request property 'command_args/deferrals'
added the new optional request property 'command_args/disable_device_rotation'
added the new optional request property 'command_args/notifications'
added the new optional request property 'command_args/rapid_security_response'
added the new optional request property 'command_args/recommended_cadence'
added the new optional request property 'command_args/target_local_date_time'
added the new optional request property 'command_args/target_os_version'
added the new 'ENFORCE_OS_UPDATE_SETTINGS' enum value to the request property 'command'
added the new 'ENFORCE_SOFTWARE_UPDATE' enum value to the request property 'command'
added the optional property 'content/command_args/allow_standard_user_os_updates' to the response with the '201' status
added the optional property 'content/command_args/automatic_actions' to the response with the '201' status
added the optional property 'content/command_args/deferrals' to the response with the '201' status
added the optional property 'content/command_args/disable_device_rotation' to the response with the '201' status
added the optional property 'content/command_args/notifications' to the response with the '201' status
added the optional property 'content/command_args/rapid_security_response' to the response with the '201' status
added the optional property 'content/command_args/recommended_cadence' to the response with the '201' status
added the optional property 'content/command_args/target_local_date_time' to the response with the '201' status
added the optional property 'content/command_args/target_os_version' to the response with the '201' status
GET /commands/v0/commands/{id}/
⚠️ added the new 'ENFORCE_OS_UPDATE_SETTINGS' enum value to the 'content/command' response property for the response status '200'
⚠️ added the new 'ENFORCE_SOFTWARE_UPDATE' enum value to the 'content/command' response property for the response status '200'
added the optional property 'content/command_args/allow_standard_user_os_updates' to the response with the '200' status
added the optional property 'content/command_args/automatic_actions' to the response with the '200' status
added the optional property 'content/command_args/deferrals' to the response with the '200' status
added the optional property 'content/command_args/disable_device_rotation' to the response with the '200' status
added the optional property 'content/command_args/notifications' to the response with the '200' status
added the optional property 'content/command_args/rapid_security_response' to the response with the '200' status
added the optional property 'content/command_args/recommended_cadence' to the response with the '200' status
added the optional property 'content/command_args/target_local_date_time' to the response with the '200' status
added the optional property 'content/command_args/target_os_version' to the response with the '200' status
GET /device/v0/devices/
⚠️ added the new 'TENANT_WINDOWS_EXE' enum value to the 'content/results/items/oneOf[#/components/schemas/device_AppleDevice]/app_mode_meta/app_type' response property for the response status '200'
⚠️ added the new 'TENANT_WINDOWS_EXE' enum value to the 'content/results/items/oneOf[#/components/schemas/device_WindowsDevice]/app_mode_meta/app_type' response property for the response status '200'
added the optional property 'content/results/items/oneOf[#/components/schemas/device_AppleDevice]/app_mode_meta/disable_device_rotation' to the response with the '200' status
added the optional property 'content/results/items/oneOf[#/components/schemas/device_WindowsDevice]/app_mode_meta/disable_device_rotation' to the response with the '200' status
added 'subschema #1, subschema #2, subschema #3' to the 'content/results/items/oneOf[#/components/schemas/device_AppleDevice]/app_mode_meta' response property 'anyOf' list for the response status '200'
added 'subschema #1, subschema #2, subschema #3' to the 'content/results/items/oneOf[#/components/schemas/device_WindowsDevice]/app_mode_meta' response property 'anyOf' list for the response status '200'
DELETE /device/v0/devices/{id}/
⚠️ added the new 'TENANT_WINDOWS_EXE' enum value to the 'content/oneOf[#/components/schemas/device_AppleDevice]/app_mode_meta/app_type' response property for the response status '200'
⚠️ added the new 'TENANT_WINDOWS_EXE' enum value to the 'content/oneOf[#/components/schemas/device_WindowsDevice]/app_mode_meta/app_type' response property for the response status '200'
added the optional property 'content/oneOf[#/components/schemas/device_AppleDevice]/app_mode_meta/disable_device_rotation' to the response with the '200' status
added the optional property 'content/oneOf[#/components/schemas/device_WindowsDevice]/app_mode_meta/disable_device_rotation' to the response with the '200' status
added 'subschema #1, subschema #2, subschema #3' to the 'content/oneOf[#/components/schemas/device_AppleDevice]/app_mode_meta' response property 'anyOf' list for the response status '200'
added 'subschema #1, subschema #2, subschema #3' to the 'content/oneOf[#/components/schemas/device_WindowsDevice]/app_mode_meta' response property 'anyOf' list for the response status '200'
GET /device/v0/devices/{id}/
⚠️ added the new 'TENANT_WINDOWS_EXE' enum value to the 'content/oneOf[#/components/schemas/device_AppleDevice]/app_mode_meta/app_type' response property for the response status '200'
⚠️ added the new 'TENANT_WINDOWS_EXE' enum value to the 'content/oneOf[#/components/schemas/device_WindowsDevice]/app_mode_meta/app_type' response property for the response status '200'
added the optional property 'content/oneOf[#/components/schemas/device_AppleDevice]/app_mode_meta/disable_device_rotation' to the response with the '200' status
added the optional property 'content/oneOf[#/components/schemas/device_WindowsDevice]/app_mode_meta/disable_device_rotation' to the response with the '200' status
added 'subschema #1, subschema #2, subschema #3' to the 'content/oneOf[#/components/schemas/device_AppleDevice]/app_mode_meta' response property 'anyOf' list for the response status '200'
added 'subschema #1, subschema #2, subschema #3' to the 'content/oneOf[#/components/schemas/device_WindowsDevice]/app_mode_meta' response property 'anyOf' list for the response status '200'
GET /v2/blueprints/
⚠️ added the new 'TENANT_WINDOWS_EXE' enum value to the 'content/results/items/settings/windows/apps/items/app_type' response property for the response status '200'
added the optional property 'content/results/items/settings/ios/apps/items/auto_update' to the response with the '200' status
added the optional property 'content/results/items/settings/ios/kiosk_app/disable_device_rotation' to the response with the '200' status
added the optional property 'content/results/items/settings/ios/strict_wifi_synchronization_settings' to the response with the '200' status
added the optional property 'content/results/items/settings/tvos/apps/items/auto_update' to the response with the '200' status
added the optional property 'content/results/items/settings/tvos/strict_wifi_synchronization_settings' to the response with the '200' status
POST /v2/blueprints/
⚠️ added the new 'TENANT_WINDOWS_EXE' enum value to the 'content/settings/windows/apps/items/app_type' response property for the response status '201'
added the new optional request property 'settings/ios/apps/items/auto_update'
added the new optional request property 'settings/ios/kiosk_app/disable_device_rotation'
added the new optional request property 'settings/ios/strict_wifi_synchronization_settings'
added the new optional request property 'settings/tvos/apps/items/auto_update'
added the new optional request property 'settings/tvos/strict_wifi_synchronization_settings'
added the new 'TENANT_WINDOWS_EXE' enum value to the request property 'settings/windows/apps/items/app_type'
added the optional property 'content/settings/ios/apps/items/auto_update' to the response with the '201' status
added the optional property 'content/settings/ios/kiosk_app/disable_device_rotation' to the response with the '201' status
added the optional property 'content/settings/ios/strict_wifi_synchronization_settings' to the response with the '201' status
added the optional property 'content/settings/tvos/apps/items/auto_update' to the response with the '201' status
added the optional property 'content/settings/tvos/strict_wifi_synchronization_settings' to the response with the '201' status
DELETE /v2/blueprints/{blueprint_id}/
⚠️ added the new 'TENANT_WINDOWS_EXE' enum value to the 'content/settings/windows/apps/items/app_type' response property for the response status '204'
added the optional property 'content/settings/ios/apps/items/auto_update' to the response with the '204' status
added the optional property 'content/settings/ios/kiosk_app/disable_device_rotation' to the response with the '204' status
added the optional property 'content/settings/ios/strict_wifi_synchronization_settings' to the response with the '204' status
added the optional property 'content/settings/tvos/apps/items/auto_update' to the response with the '204' status
added the optional property 'content/settings/tvos/strict_wifi_synchronization_settings' to the response with the '204' status
GET /v2/blueprints/{blueprint_id}/
⚠️ added the new 'TENANT_WINDOWS_EXE' enum value to the 'content/settings/windows/apps/items/app_type' response property for the response status '200'
added the optional property 'content/settings/ios/apps/items/auto_update' to the response with the '200' status
added the optional property 'content/settings/ios/kiosk_app/disable_device_rotation' to the response with the '200' status
added the optional property 'content/settings/ios/strict_wifi_synchronization_settings' to the response with the '200' status
added the optional property 'content/settings/tvos/apps/items/auto_update' to the response with the '200' status
added the optional property 'content/settings/tvos/strict_wifi_synchronization_settings' to the response with the '200' status
PUT /v2/blueprints/{blueprint_id}/
⚠️ added the new 'TENANT_WINDOWS_EXE' enum value to the 'content/settings/windows/apps/items/app_type' response property for the response status '200'
added the new optional request property '/allOf[#/components/schemas/blueprints_BlueprintV2]/settings/ios/apps/items/auto_update'
added the new optional request property '/allOf[#/components/schemas/blueprints_BlueprintV2]/settings/ios/kiosk_app/disable_device_rotation'
added the new optional request property '/allOf[#/components/schemas/blueprints_BlueprintV2]/settings/ios/strict_wifi_synchronization_settings'
added the new optional request property '/allOf[#/components/schemas/blueprints_BlueprintV2]/settings/tvos/apps/items/auto_update'
added the new optional request property '/allOf[#/components/schemas/blueprints_BlueprintV2]/settings/tvos/strict_wifi_synchronization_settings'
added the new 'TENANT_WINDOWS_EXE' enum value to the request property '/allOf[#/components/schemas/blueprints_BlueprintV2]/settings/windows/apps/items/app_type'
added the optional property 'content/settings/ios/apps/items/auto_update' to the response with the '200' status
added the optional property 'content/settings/ios/kiosk_app/disable_device_rotation' to the response with the '200' status
added the optional property 'content/settings/ios/strict_wifi_synchronization_settings' to the response with the '200' status
added the optional property 'content/settings/tvos/apps/items/auto_update' to the response with the '200' status
added the optional property 'content/settings/tvos/strict_wifi_synchronization_settings' to the response with the '200' status
GET /v2/blueprints/{blueprint_id}/versions/
⚠️ added the new 'TENANT_WINDOWS_EXE' enum value to the 'content/results/items/settings/windows/apps/items/app_type' response property for the response status '200'
added the optional property 'content/results/items/settings/ios/apps/items/auto_update' to the response with the '200' status
added the optional property 'content/results/items/settings/ios/kiosk_app/disable_device_rotation' to the response with the '200' status
added the optional property 'content/results/items/settings/ios/strict_wifi_synchronization_settings' to the response with the '200' status
added the optional property 'content/results/items/settings/tvos/apps/items/auto_update' to the response with the '200' status
added the optional property 'content/results/items/settings/tvos/strict_wifi_synchronization_settings' to the response with the '200' status
GET /v2/blueprints/{blueprint_id}/versions/{version_id}/
⚠️ added the new 'TENANT_WINDOWS_EXE' enum value to the 'content/settings/windows/apps/items/app_type' response property for the response status '200'
added the optional property 'content/settings/ios/apps/items/auto_update' to the response with the '200' status
added the optional property 'content/settings/ios/kiosk_app/disable_device_rotation' to the response with the '200' status
added the optional property 'content/settings/ios/strict_wifi_synchronization_settings' to the response with the '200' status
added the optional property 'content/settings/tvos/apps/items/auto_update' to the response with the '200' status
added the optional property 'content/settings/tvos/strict_wifi_synchronization_settings' to the response with the '200' status
GET /v2/device-apps
added the new optional 'query' request parameter 'app_version_id_not'
the 'query' request parameter 'app_id' became optional
the 'query' request parameter 'app_version_id' became optional
for the 'query' request parameter 'app_id', the type/format was generalized from 'integer'/'uuid' to 'string'/'uuid'
for the 'query' request parameter 'app_version_id', the type/format was generalized from 'integer'/'uuid' to 'string'/'uuid'
GET /v2/devices/
⚠️ added the new 'TENANT_WINDOWS_EXE' enum value to the 'content/oneOf[#/components/schemas/device_CursorPaginatedDeviceList]/results/items/oneOf[#/components/schemas/device_AppleDeviceV2]/app_mode_meta/app_type' response property for the response status '200'
⚠️ added the new 'TENANT_WINDOWS_EXE' enum value to the 'content/oneOf[#/components/schemas/device_CursorPaginatedDeviceList]/results/items/oneOf[#/components/schemas/device_WindowsDeviceV2]/app_mode_meta/app_type' response property for the response status '200'
⚠️ added the new 'TENANT_WINDOWS_EXE' enum value to the 'content/oneOf[#/components/schemas/device_OffsetPaginatedDeviceList]/results/items/oneOf[#/components/schemas/device_AppleDeviceV2]/app_mode_meta/app_type' response property for the response status '200'
⚠️ added the new 'TENANT_WINDOWS_EXE' enum value to the 'content/oneOf[#/components/schemas/device_OffsetPaginatedDeviceList]/results/items/oneOf[#/components/schemas/device_WindowsDeviceV2]/app_mode_meta/app_type' response property for the response status '200'
api tag 'device_Device' added
api tag 'device_Device V2' removed
added the optional property 'content/oneOf[#/components/schemas/device_CursorPaginatedDeviceList]/results/items/oneOf[#/components/schemas/device_AppleDeviceV2]/app_mode_meta/disable_device_rotation' to the response with the '200' status
added the optional property 'content/oneOf[#/components/schemas/device_CursorPaginatedDeviceList]/results/items/oneOf[#/components/schemas/device_WindowsDeviceV2]/app_mode_meta/disable_device_rotation' to the response with the '200' status
added the optional property 'content/oneOf[#/components/schemas/device_OffsetPaginatedDeviceList]/results/items/oneOf[#/components/schemas/device_AppleDeviceV2]/app_mode_meta/disable_device_rotation' to the response with the '200' status
added the optional property 'content/oneOf[#/components/schemas/device_OffsetPaginatedDeviceList]/results/items/oneOf[#/components/schemas/device_WindowsDeviceV2]/app_mode_meta/disable_device_rotation' to the response with the '200' status
added 'subschema #1, subschema #2, subschema #3' to the 'content/oneOf[#/components/schemas/device_CursorPaginatedDeviceList]/results/items/oneOf[#/components/schemas/device_AppleDeviceV2]/app_mode_meta' response property 'anyOf' list for the response status '200'
added 'subschema #1, subschema #2, subschema #3' to the 'content/oneOf[#/components/schemas/device_CursorPaginatedDeviceList]/results/items/oneOf[#/components/schemas/device_WindowsDeviceV2]/app_mode_meta' response property 'anyOf' list for the response status '200'
added 'subschema #1, subschema #2, subschema #3' to the 'content/oneOf[#/components/schemas/device_OffsetPaginatedDeviceList]/results/items/oneOf[#/components/schemas/device_AppleDeviceV2]/app_mode_meta' response property 'anyOf' list for the response status '200'
added 'subschema #1, subschema #2, subschema #3' to the 'content/oneOf[#/components/schemas/device_OffsetPaginatedDeviceList]/results/items/oneOf[#/components/schemas/device_WindowsDeviceV2]/app_mode_meta' response property 'anyOf' list for the response status '200'
GET /v2/devices/{deviceId}/device-apps/
⚠️ added the new 'TENANT_WINDOWS_EXE' enum value to the 'results/items/app_type' response property for the response status '200'
added the new enum value 'TENANT_WINDOWS_EXE' to the 'query' request parameter 'app type'
added the optional property 'results/items/auto_update' to the response with the '200' status
GET /v2/devices/{id}
⚠️ added the new 'TENANT_WINDOWS_EXE' enum value to the 'content/oneOf[#/components/schemas/device_AppleDeviceV2]/app_mode_meta/app_type' response property for the response status '200'
⚠️ added the new 'TENANT_WINDOWS_EXE' enum value to the 'content/oneOf[#/components/schemas/device_WindowsDeviceV2]/app_mode_meta/app_type' response property for the response status '200'
api tag 'device_Device' added
api tag 'device_Device V2' removed
added the optional property 'content/oneOf[#/components/schemas/device_AppleDeviceV2]/app_mode_meta/disable_device_rotation' to the response with the '200' status
added the optional property 'content/oneOf[#/components/schemas/device_WindowsDeviceV2]/app_mode_meta/disable_device_rotation' to the response with the '200' status
added 'subschema #1, subschema #2, subschema #3' to the 'content/oneOf[#/components/schemas/device_AppleDeviceV2]/app_mode_meta' response property 'anyOf' list for the response status '200'
added 'subschema #1, subschema #2, subschema #3' to the 'content/oneOf[#/components/schemas/device_WindowsDeviceV2]/app_mode_meta' response property 'anyOf' list for the response status '200'
GET /v2/tenant-apps/{appId}/versions
⚠️ added the new 'TENANT_WINDOWS_EXE' enum value to the 'content/results/items/oneOf[#/components/schemas/apps_management_TenantAppVersionResponse]/app_type' response property for the response status '200'
added the new optional 'query' request parameter 'app_type'
added the new optional 'query' request parameter 'is_active'
added the optional property 'content/results/items/oneOf[#/components/schemas/apps_management_TenantAppVersionResponse]/is_active' to the response with the '200' status
added the optional property 'content/results/items/oneOf[#/components/schemas/apps_management_TenantAppVersionResponse]/success_criteria' to the response with the '200' status
added the optional property 'content/results/items/oneOf[#/components/schemas/apps_management_TenantAppVersionResponse]/success_criteria_type' to the response with the '200' status
DELETE /v2/tenant-apps/{appId}/versions/{versionId}
⚠️ added the new 'TENANT_WINDOWS_EXE' enum value to the 'content/app_type' response property for the response status '200'
added the optional property 'content/is_active' to the response with the '200' status
added the optional property 'content/success_criteria' to the response with the '200' status
added the optional property 'content/success_criteria_type' to the response with the '200' status
GET /v2/tenant-apps/{appId}/versions/{versionId}
⚠️ added the new 'TENANT_WINDOWS_EXE' enum value to the 'content/allOf[#/components/schemas/apps_management_TenantAppVersionResponse]/app_type' response property for the response status '200'
added the optional property 'content/allOf[#/components/schemas/apps_management_TenantAppVersionResponse]/is_active' to the response with the '200' status
added the optional property 'content/allOf[#/components/schemas/apps_management_TenantAppVersionResponse]/success_criteria' to the response with the '200' status
added the optional property 'content/allOf[#/components/schemas/apps_management_TenantAppVersionResponse]/success_criteria_type' to the response with the '200' status
added the optional property 'content/allOf[subschema #2]/install_script' to the response with the '200' status
added the optional property 'content/allOf[subschema #2]/uninstall_script' to the response with the '200' status
PUT /v2/tenant-apps/{appId}/versions/{versionId}
⚠️ added the new 'TENANT_WINDOWS_EXE' enum value to the 'content/app_type' response property for the response status '200'
added the new optional request property 'exe_config'
added the new optional request property 'version_name'
added the optional property 'content/is_active' to the response with the '200' status
added the optional property 'content/success_criteria' to the response with the '200' status
added the optional property 'content/success_criteria_type' to the response with the '200' status
DevRel 190 [2026-05-28]
➕ Added
- PUT /v2/devices/{id}/devicestate - endpoint added
✏️ Updated
PUT /authz2/v1/roles/{role_id}/scopes - added the new
create:device_command:CLEAR_APP_CACHEenum value to the request propertyscope_names/items/GET /commands/v0/commands/
⚠️ added the new
CLEAR_APP_CACHEenum value to thecontent/results/items/commandresponse property for the response status200added the optional property
content/results/items/command_args/argumentsto the response with the200status
POST /commands/v0/commands/
⚠️ added the new
CLEAR_APP_CACHEenum value to thecontent/commandresponse property for the response status201added the new optional request property
command_args/argumentsadded the new
CLEAR_APP_CACHEenum value to the request propertycommandadded the optional property
content/command_args/argumentsto the response with the201status
GET /commands/v0/commands/{id}/
⚠️ added the new
CLEAR_APP_CACHEenum value to thecontent/commandresponse property for the response status200added the optional property
content/command_args/argumentsto the response with the200status
GET /device/v0/devices/
added the optional property
content/results/items/oneOf[#/components/schemas/device_WindowsDevice]/hardware_infoto the response with the200statusadded the optional property
content/results/items/oneOf[#/components/schemas/device_WindowsDevice]/memory_infoto the response with the200statusadded the optional property
content/results/items/oneOf[#/components/schemas/device_WindowsDevice]/network_infoto the response with the200statusadded the optional property
content/results/items/oneOf[#/components/schemas/device_WindowsDevice]/software_infoto the response with the200status
DELETE /device/v0/devices/{id}/
added the optional property
content/oneOf[#/components/schemas/device_WindowsDevice]/hardware_infoto the response with the200statusadded the optional property
content/oneOf[#/components/schemas/device_WindowsDevice]/memory_infoto the response with the200statusadded the optional property
content/oneOf[#/components/schemas/device_WindowsDevice]/network_infoto the response with the200statusadded the optional property
content/oneOf[#/components/schemas/device_WindowsDevice]/software_infoto the response with the200status
GET /device/v0/devices/{id}/
added the optional property
content/oneOf[#/components/schemas/device_WindowsDevice]/hardware_infoto the response with the200statusadded the optional property
content/oneOf[#/components/schemas/device_WindowsDevice]/memory_infoto the response with the200statusadded the optional property
content/oneOf[#/components/schemas/device_WindowsDevice]/network_infoto the response with the200statusadded the optional property
content/oneOf[#/components/schemas/device_WindowsDevice]/software_infoto the response with the200status
GET /enterprise/{enterprise_id}/group/{group_id}/download/eventfeed/ - ⚠️ added the new
CLEAR_APP_CACHEenum value to theresults/items/commandresponse property for the response status200GET /v0/enterprise/{enterprise_id}/command/ - ⚠️ added the new
CLEAR_APP_CACHEenum value to theresults/items/commandresponse property for the response status200POST /v0/enterprise/{enterprise_id}/command/
⚠️ added the new
CLEAR_APP_CACHEenum value to thecommandresponse property for the response status201added the new
CLEAR_APP_CACHEenum value to the request propertycommand
GET /v2/background-scripts/ - added the optional property
content/results/items/descriptionto the response with the200statusPOST /v2/background-scripts/
added the new optional request property
descriptionadded the optional property
content/descriptionto the response with the201status
GET /v2/background-scripts/{background_script_id}/ - added the optional property
content/allOf[#/components/schemas/blueprints_BackgroundScriptRead]/descriptionto the response with the200statusGET /v2/blueprints/ - added the optional property
content/results/items/settings/windows/background_scriptsto the response with the200statusPOST /v2/blueprints/
added the new optional request property
settings/windows/background_scriptsadded the optional property
content/settings/windows/background_scriptsto the response with the201status
DELETE /v2/blueprints/{blueprint_id}/ - added the optional property
content/settings/windows/background_scriptsto the response with the204statusGET /v2/blueprints/{blueprint_id}/ - added the optional property
content/settings/windows/background_scriptsto the response with the200statusPUT /v2/blueprints/{blueprint_id}/
added the new optional request property
allOf[#/components/schemas/blueprints_BlueprintV2]/settings/windows/background_scriptsadded the optional property
content/settings/windows/background_scriptsto the response with the200status
GET /v2/blueprints/{blueprint_id}/versions/ - added the optional property
content/results/items/settings/windows/background_scriptsto the response with the200statusGET /v2/blueprints/{blueprint_id}/versions/{version_id}/ - added the optional property
content/settings/windows/background_scriptsto the response with the200statusGET /v2/devices/
added the optional property
content/oneOf[#/components/schemas/device_CursorPaginatedDeviceList]/results/items/oneOf[#/components/schemas/device_WindowsDeviceV2]/background_scripts_statsto the response with the200statusadded the optional property
content/oneOf[#/components/schemas/device_CursorPaginatedDeviceList]/results/items/oneOf[#/components/schemas/device_WindowsDeviceV2]/memory_info/total_swap_memoryto the response with the200statusadded the optional property
content/oneOf[#/components/schemas/device_CursorPaginatedDeviceList]/results/items/oneOf[#/components/schemas/device_WindowsDeviceV2]/software_info/display_refresh_rateto the response with the200statusadded the optional property
content/oneOf[#/components/schemas/device_CursorPaginatedDeviceList]/results/items/oneOf[#/components/schemas/device_WindowsDeviceV2]/software_info/display_resolutionto the response with the200statusadded the optional property
content/oneOf[#/components/schemas/device_CursorPaginatedDeviceList]/results/items/oneOf[#/components/schemas/device_WindowsDeviceV2]/software_info/host_nameto the response with the200statusadded the optional property
content/oneOf[#/components/schemas/device_CursorPaginatedDeviceList]/results/items/oneOf[#/components/schemas/device_WindowsDeviceV2]/software_info/last_boot_timeto the response with the200statusadded the optional property
content/oneOf[#/components/schemas/device_CursorPaginatedDeviceList]/results/items/oneOf[#/components/schemas/device_WindowsDeviceV2]/software_info/os_build_timeto the response with the200statusadded the optional property
content/oneOf[#/components/schemas/device_CursorPaginatedDeviceList]/results/items/oneOf[#/components/schemas/device_WindowsDeviceV2]/software_info/os_distributionto the response with the200statusadded the optional property
content/oneOf[#/components/schemas/device_CursorPaginatedDeviceList]/results/items/oneOf[#/components/schemas/device_WindowsDeviceV2]/software_info/os_platformto the response with the200statusadded the optional property
content/oneOf[#/components/schemas/device_CursorPaginatedDeviceList]/results/items/oneOf[#/components/schemas/device_WindowsDeviceV2]/software_info/supported_abito the response with the200statusadded the optional property
content/oneOf[#/components/schemas/device_OffsetPaginatedDeviceList]/results/items/oneOf[#/components/schemas/device_WindowsDeviceV2]/background_scripts_statsto the response with the200statusadded the optional property
content/oneOf[#/components/schemas/device_OffsetPaginatedDeviceList]/results/items/oneOf[#/components/schemas/device_WindowsDeviceV2]/memory_info/total_swap_memoryto the response with the200statusadded the optional property
content/oneOf[#/components/schemas/device_OffsetPaginatedDeviceList]/results/items/oneOf[#/components/schemas/device_WindowsDeviceV2]/software_info/display_refresh_rateto the response with the200statusadded the optional property
content/oneOf[#/components/schemas/device_OffsetPaginatedDeviceList]/results/items/oneOf[#/components/schemas/device_WindowsDeviceV2]/software_info/display_resolutionto the response with the200statusadded the optional property
content/oneOf[#/components/schemas/device_OffsetPaginatedDeviceList]/results/items/oneOf[#/components/schemas/device_WindowsDeviceV2]/software_info/host_nameto the response with the200statusadded the optional property
content/oneOf[#/components/schemas/device_OffsetPaginatedDeviceList]/results/items/oneOf[#/components/schemas/device_WindowsDeviceV2]/software_info/last_boot_timeto the response with the200statusadded the optional property
content/oneOf[#/components/schemas/device_OffsetPaginatedDeviceList]/results/items/oneOf[#/components/schemas/device_WindowsDeviceV2]/software_info/os_build_timeto the response with the200statusadded the optional property
content/oneOf[#/components/schemas/device_OffsetPaginatedDeviceList]/results/items/oneOf[#/components/schemas/device_WindowsDeviceV2]/software_info/os_distributionto the response with the200statusadded the optional property
content/oneOf[#/components/schemas/device_OffsetPaginatedDeviceList]/results/items/oneOf[#/components/schemas/device_WindowsDeviceV2]/software_info/os_platformto the response with the200statusadded the optional property
content/oneOf[#/components/schemas/device_OffsetPaginatedDeviceList]/results/items/oneOf[#/components/schemas/device_WindowsDeviceV2]/software_info/supported_abito the response with the200status
GET /v2/devices/{id}
added the optional property
content/oneOf[#/components/schemas/device_WindowsDeviceV2]/background_scripts_statsto the response with the200statusadded the optional property
content/oneOf[#/components/schemas/device_WindowsDeviceV2]/memory_info/total_swap_memoryto the response with the200statusadded the optional property
content/oneOf[#/components/schemas/device_WindowsDeviceV2]/software_info/display_refresh_rateto the response with the200statusadded the optional property
content/oneOf[#/components/schemas/device_WindowsDeviceV2]/software_info/display_resolutionto the response with the200statusadded the optional property
content/oneOf[#/components/schemas/device_WindowsDeviceV2]/software_info/host_nameto the response with the200statusadded the optional property
content/oneOf[#/components/schemas/device_WindowsDeviceV2]/software_info/last_boot_timeto the response with the200statusadded the optional property
content/oneOf[#/components/schemas/device_WindowsDeviceV2]/software_info/os_build_timeto the response with the200statusadded the optional property
content/oneOf[#/components/schemas/device_WindowsDeviceV2]/software_info/os_distributionto the response with the200statusadded the optional property
content/oneOf[#/components/schemas/device_WindowsDeviceV2]/software_info/os_platformto the response with the200statusadded the optional property
content/oneOf[#/components/schemas/device_WindowsDeviceV2]/software_info/supported_abito the response with the200status
DevRel 189 [2026-05-15]
➕ Added
GET /geofence/v1/geofences - endpoint added
POST /geofence/v1/geofences - endpoint added
GET /geofence/v1/geofences/{geofence_id}/blueprints - endpoint added
GET /geofence/v1/geofences/{geofence_id}/device-summary - endpoint added
GET /geofence/v1/geofences/{geofence_id}/devices - endpoint added
GET /tenant/v0/depprofiles/ - endpoint added
POST /tenant/v0/depprofiles/ - endpoint added
GET /v2/background-scripts/ - endpoint added
POST /v2/background-scripts/ - endpoint added
GET /v2/background-scripts/{background_script_id}/ - endpoint added
✏️ Updated
GET /v2/blueprints/ - ⚠️ the 'content/results/items/settings/android/files/items/file_id' response's property type/format changed from 'string'/'' to 'integer'/'' for status '200'
POST /v2/blueprints/
⚠️ the 'settings/android/files/items/file_id' request property type/format changed from 'string'/'' to 'integer'/''
⚠️ the 'content/settings/android/files/items/file_id' response's property type/format changed from 'string'/'' to 'integer'/'' for status '201'
DELETE /v2/blueprints/{blueprint_id}/ - ⚠️ the 'content/settings/android/files/items/file_id' response's property type/format changed from 'string'/'' to 'integer'/'' for status '204'
GET /v2/blueprints/{blueprint_id}/ - ⚠️ the 'content/settings/android/files/items/file_id' response's property type/format changed from 'string'/'' to 'integer'/'' for status '200'
PUT /v2/blueprints/{blueprint_id}/
⚠️ the '/allOf[#/components/schemas/blueprints_BlueprintV2]/settings/android/files/items/file_id' request property type/format changed from 'string'/'' to 'integer'/''
⚠️ the 'content/settings/android/files/items/file_id' response's property type/format changed from 'string'/'' to 'integer'/'' for status '200'
GET /v2/blueprints/{blueprint_id}/versions/ - ⚠️ the 'content/results/items/settings/android/files/items/file_id' response's property type/format changed from 'string'/'' to 'integer'/'' for status '200'
GET /v2/blueprints/{blueprint_id}/versions/{version_id}/ - ⚠️ the 'content/settings/android/files/items/file_id' response's property type/format changed from 'string'/'' to 'integer'/'' for status '200'
DevRel 188 [2026-04-28]
✏️ Updated
GET /v2/blueprints/
added the new optional 'query' request parameter 'settings__tvos__app_id'
added the new optional 'query' request parameter 'settings__tvos__app_version_id'
added the new optional 'query' request parameter 'settings__tvos__provisioning_profile_id'
added the new optional 'query' request parameter 'settings__tvos__provisioning_profile_version_id'
added the optional property 'content/results/items/settings/tvos' to the response with the '200' status
POST /v2/blueprints/
added the new optional request property 'settings/tvos'
added the optional property 'content/settings/tvos' to the response with the '201' status
DELETE /v2/blueprints/{blueprint_id}/ - added the optional property 'content/settings/tvos' to the response with the '204' status
GET /v2/blueprints/{blueprint_id}/ - added the optional property 'content/settings/tvos' to the response with the '200' status
PUT /v2/blueprints/{blueprint_id}/ - added the optional property 'content/settings/tvos' to the response with the '200' status
GET /v2/blueprints/{blueprint_id}/versions/
added the new optional 'query' request parameter 'settings__ios__provisioning_profile_id'
added the new optional 'query' request parameter 'settings__ios__provisioning_profile_version_id'
added the new optional 'query' request parameter 'settings__tvos__provisioning_profile_id'
added the new optional 'query' request parameter 'settings__tvos__provisioning_profile_version_id'
added the optional property 'content/results/items/settings/tvos' to the response with the '200' status
GET /v2/blueprints/{blueprint_id}/versions/{version_id}/ - added the optional property 'content/settings/tvos' to the response with the '200' status
GET /v2/devices/ - added the new optional 'query' request parameter 'ungrouped_only'
DevRel 187 [2026-04-14]
✏️ Updated
PUT /authz2/v1/roles/{role_id}/scopes
added the new 'create:device_command:UPDATE_WIFI_AP' enum value to the request property 'scope_names/items/'
added the new 'create:group_command:UPDATE_WIFI_AP' enum value to the request property 'scope_names/items/'
GET /commands/v0/commands/
⚠️ added the new 'OS_UPDATE_STATUS' enum value to the 'content/results/items/command' response property for the response status '200'
⚠️ added the new 'SCAN_OS_UPDATES' enum value to the 'content/results/items/command' response property for the response status '200'
⚠️ added the new 'SCHEDULE_OS_UPDATE' enum value to the 'content/results/items/command' response property for the response status '200'
⚠️ added the new 'UPDATE_WIFI_AP' enum value to the 'content/results/items/command' response property for the response status '200'
added the optional property 'content/results/items/command_args/anonymous_identity' to the response with the '200' status
added the optional property 'content/results/items/command_args/certificate_file_password' to the response with the '200' status
added the optional property 'content/results/items/command_args/certificate_file_path' to the response with the '200' status
added the optional property 'content/results/items/command_args/domain' to the response with the '200' status
added the optional property 'content/results/items/command_args/hidden' to the response with the '200' status
added the optional property 'content/results/items/command_args/identity' to the response with the '200' status
added the optional property 'content/results/items/command_args/install_action' to the response with the '200' status
added the optional property 'content/results/items/command_args/product_version' to the response with the '200' status
added the optional property 'content/results/items/command_args/wifi_eap_method' to the response with the '200' status
added the optional property 'content/results/items/command_args/wifi_password' to the response with the '200' status
added the optional property 'content/results/items/command_args/wifi_phase2_auth' to the response with the '200' status
added the optional property 'content/results/items/command_args/wifi_security_type' to the response with the '200' status
added the optional property 'content/results/items/command_args/wifi_ssid' to the response with the '200' status
POST /commands/v0/commands/
⚠️ added the new 'OS_UPDATE_STATUS' enum value to the 'content/command' response property for the response status '201'
⚠️ added the new 'SCAN_OS_UPDATES' enum value to the 'content/command' response property for the response status '201'
⚠️ added the new 'SCHEDULE_OS_UPDATE' enum value to the 'content/command' response property for the response status '201'
⚠️ added the new 'UPDATE_WIFI_AP' enum value to the 'content/command' response property for the response status '201'
added the new optional request property 'command_args/anonymous_identity'
added the new optional request property 'command_args/certificate_file_password'
added the new optional request property 'command_args/certificate_file_path'
added the new optional request property 'command_args/domain'
added the new optional request property 'command_args/hidden'
added the new optional request property 'command_args/identity'
added the new optional request property 'command_args/install_action'
added the new optional request property 'command_args/product_version'
added the new optional request property 'command_args/wifi_eap_method'
added the new optional request property 'command_args/wifi_password'
added the new optional request property 'command_args/wifi_phase2_auth'
added the new optional request property 'command_args/wifi_security_type'
added the new optional request property 'command_args/wifi_ssid'
added the new 'OS_UPDATE_STATUS' enum value to the request property 'command'
added the new 'SCAN_OS_UPDATES' enum value to the request property 'command'
added the new 'SCHEDULE_OS_UPDATE' enum value to the request property 'command'
added the new 'UPDATE_WIFI_AP' enum value to the request property 'command'
added the optional property 'content/command_args/anonymous_identity' to the response with the '201' status
added the optional property 'content/command_args/certificate_file_password' to the response with the '201' status
added the optional property 'content/command_args/certificate_file_path' to the response with the '201' status
added the optional property 'content/command_args/domain' to the response with the '201' status
added the optional property 'content/command_args/hidden' to the response with the '201' status
added the optional property 'content/command_args/identity' to the response with the '201' status
added the optional property 'content/command_args/install_action' to the response with the '201' status
added the optional property 'content/command_args/product_version' to the response with the '201' status
added the optional property 'content/command_args/wifi_eap_method' to the response with the '201' status
added the optional property 'content/command_args/wifi_password' to the response with the '201' status
added the optional property 'content/command_args/wifi_phase2_auth' to the response with the '201' status
added the optional property 'content/command_args/wifi_security_type' to the response with the '201' status
added the optional property 'content/command_args/wifi_ssid' to the response with the '201' status
GET /commands/v0/commands/{id}/
⚠️ added the new 'OS_UPDATE_STATUS' enum value to the 'content/command' response property for the response status '200'
⚠️ added the new 'SCAN_OS_UPDATES' enum value to the 'content/command' response property for the response status '200'
⚠️ added the new 'SCHEDULE_OS_UPDATE' enum value to the 'content/command' response property for the response status '200'
⚠️ added the new 'UPDATE_WIFI_AP' enum value to the 'content/command' response property for the response status '200'
added the optional property 'content/command_args/anonymous_identity' to the response with the '200' status
added the optional property 'content/command_args/certificate_file_password' to the response with the '200' status
added the optional property 'content/command_args/certificate_file_path' to the response with the '200' status
added the optional property 'content/command_args/domain' to the response with the '200' status
added the optional property 'content/command_args/hidden' to the response with the '200' status
added the optional property 'content/command_args/identity' to the response with the '200' status
added the optional property 'content/command_args/install_action' to the response with the '200' status
added the optional property 'content/command_args/product_version' to the response with the '200' status
added the optional property 'content/command_args/wifi_eap_method' to the response with the '200' status
added the optional property 'content/command_args/wifi_password' to the response with the '200' status
added the optional property 'content/command_args/wifi_phase2_auth' to the response with the '200' status
added the optional property 'content/command_args/wifi_security_type' to the response with the '200' status
added the optional property 'content/command_args/wifi_ssid' to the response with the '200' status
GET /commands/v0/status/ - added the optional property 'content/results/items/command_meta' to the response with the '200' status
GET /commands/v0/status/{id}/ - added the optional property 'content/command_meta' to the response with the '200' status
PUT /commands/v0/status/{id}/ - added the optional property 'content/command_meta' to the response with the '200' status
GET /enterprise/{enterprise_id}/group/{group_id}/download/eventfeed/ - ⚠️ added the new 'UPDATE_WIFI_AP' enum value to the 'results/items/command' response property for the response status '200'
POST /pipelines/v0/operationlists/{operationlist_id}/operations/ - added the new 'UPDATE_WIFI_AP' enum value to the request property 'operation_type'
GET /v0/enterprise/{enterprise_id}/command/ - ⚠️ added the new 'UPDATE_WIFI_AP' enum value to the 'results/items/command' response property for the response status '200'
POST /v0/enterprise/{enterprise_id}/command/
⚠️ added the new 'UPDATE_WIFI_AP' enum value to the 'command' response property for the response status '201'
added the new 'UPDATE_WIFI_AP' enum value to the request property 'command'
POST /v0/operations/ - added the new 'UPDATE_WIFI_AP' enum value to the request property 'operation_type'
GET /v2/devices/
[...]
